Package com.pixelmed.display

# Class DemographicAndTechniqueAnnotations

java.lang.Object
com.pixelmed.display.DemographicAndTechniqueAnnotations

Direct Known Subclasses:
  `IconDemographicAndTechniqueAnnotations`, `MammoDemographicAndTechniqueAnnotations`

public class DemographicAndTechniqueAnnotations extends Object

A class to extract selected DICOM annotative attributes into defined displayed area relative positions.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`DemographicAndTechniqueAnnotations.AnnotationLayoutConfigurationEntry`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final int`
`ABBREVPHOTO`
`protected static final int`
`CALLFUNCTION`
`protected static final int`
`CODEMEANING`
`protected static final int`
`DIRECTIONVECTOR`
`protected static final int`
`EXPOSURE`
`protected static final int`
`EXPOSURETIME`
`protected static final int`
`FRAMENUMBER`
`protected static final int`
`IMAGETYPE`
`protected static final int`
`JUSTTIME`
`protected Vector<DemographicAndTechniqueAnnotations.AnnotationLayoutConfigurationEntry>`
`layout`
`protected static final int`
`LOSSYCOMPRESSED`
`protected static final String`
`multipleCodeMeaningDelimiter`
`protected static final int`
`NOSPECIAL`
`protected static final int`
`ORIENTLABEL`
`protected static final int`
`PIXELREPN`
`protected static final int`
`SLICESPACING`
`protected static final int`
`TEXTIFYESNO`
`protected static final int`
`XRAYTUBECURRENT`

## Constructor Summary

Constructors
Constructor
Description
`DemographicAndTechniqueAnnotations(AttributeList list)`
`DemographicAndTechniqueAnnotations(AttributeList list, GeometryOfVolume geometry)`
`DemographicAndTechniqueAnnotations(AttributeList list, GeometryOfVolume geometry, boolean swapLeftRight)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getValueByCallingFunction(AttributeList list)`
Return a string value from the supplied list of attributes.
`protected void`
`initializeDefaultLayout()`
`Iterator`
`iterator(int frameIndex)`
Get the annotations for the selected frame.
`static void`
`main(String[] arg)`
The method to invoke the class for testing.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NOSPECIAL

protected static final int NOSPECIAL

See Also:
  - Constant Field Values

### JUSTTIME

protected static final int JUSTTIME

See Also:
  - Constant Field Values

### SLICESPACING

protected static final int SLICESPACING

See Also:
  - Constant Field Values

### FRAMENUMBER

protected static final int FRAMENUMBER

See Also:
  - Constant Field Values

### IMAGETYPE

protected static final int IMAGETYPE

See Also:
  - Constant Field Values

### PIXELREPN

protected static final int PIXELREPN

See Also:
  - Constant Field Values

### CODEMEANING

protected static final int CODEMEANING

See Also:
  - Constant Field Values

### ORIENTLABEL

protected static final int ORIENTLABEL

See Also:
  - Constant Field Values

### ABBREVPHOTO

protected static final int ABBREVPHOTO

See Also:
  - Constant Field Values

### LOSSYCOMPRESSED

protected static final int LOSSYCOMPRESSED

See Also:
  - Constant Field Values

### TEXTIFYESNO

protected static final int TEXTIFYESNO

See Also:
  - Constant Field Values

### CALLFUNCTION

protected static final int CALLFUNCTION

See Also:
  - Constant Field Values

### DIRECTIONVECTOR

protected static final int DIRECTIONVECTOR

See Also:
  - Constant Field Values

### XRAYTUBECURRENT

protected static final int XRAYTUBECURRENT

See Also:
  - Constant Field Values

### EXPOSURETIME

protected static final int EXPOSURETIME

See Also:
  - Constant Field Values

### EXPOSURE

protected static final int EXPOSURE

See Also:
  - Constant Field Values

### layout

protected Vector<DemographicAndTechniqueAnnotations.AnnotationLayoutConfigurationEntry> layout

### multipleCodeMeaningDelimiter

protected static final String multipleCodeMeaningDelimiter

See Also:
  - Constant Field Values

## Constructor Details

### DemographicAndTechniqueAnnotations

public DemographicAndTechniqueAnnotations(AttributeList list)

Parameters:
  `list` - the DICOM attributes of a single or multi-frame image

### DemographicAndTechniqueAnnotations

public DemographicAndTechniqueAnnotations(AttributeList list, GeometryOfVolume geometry)

Parameters:
  `list` - the DICOM attributes of a single or multi-frame image
  `geometry` - the geometry of a single or multi-frame image (or null if no 3D coordinate system)

### DemographicAndTechniqueAnnotations

public DemographicAndTechniqueAnnotations(AttributeList list, GeometryOfVolume geometry, boolean swapLeftRight)

Parameters:
  `list` - the DICOM attributes of a single or multi-frame image
  `geometry` - the geometry of a single or multi-frame image (or null if no 3D coordinate system)
  `swapLeftRight` - whether the sides (left and right) to annotate are to be swapped

## Method Details

### initializeDefaultLayout

protected void initializeDefaultLayout()

### getValueByCallingFunction

protected String getValueByCallingFunction(AttributeList list)

Return a string value from the supplied list of attributes.

Overridden by children of this class when specific functionality is needed.

Parameters:
  `list` - ignored, unless the method is overriden in a child class
Returns:
  a string value, of zero length unless the method is overriden in a child class

### iterator

public Iterator iterator(int frameIndex)

Get the annotations for the selected frame.

Parameters:
  `frameIndex` - which frame
Returns:
  an iterator of annotations of `TextAnnotationPositioned`

### main

public static void main(String[] arg)

The method to invoke the class for testing.

Parameters:
  `arg` - optionally, a single file which is a DICOM object